Inbox
Get a thread with its messages
GET
apiKeyheader
AuthorizationBearer <token>An API key from the web app, under Developers. It starts with rz_live_.
id*stringOK
application/json- response
thread*messages*array<>curl -X GET 'https://api.rizamo.com/v1/inbox/threads/string'Example Response200
{ "thread": { "id": "string", "profileId": "string", "accountId": "string", "network": "instagram", "kind": "comment", "contact": { "name": "string", "handle": "string", "initials": "string", "color": "string", "avatarUrl": "string" }, "postId": "string", "preview": "string", "lastMessageAt": "2019-08-24T14:15:22Z", "unread": true, "status": "open", "assignee": { "type": "agent", "agent": "claude", "name": "string" }, "sentiment": "positive" }, "messages": [ { "id": "string", "threadId": "string", "direction": "in", "text": "string", "at": "2019-08-24T14:15:22Z", "sentBy": { "type": "agent", "agent": "claude", "name": "string" } } ]}